[package]
name = "device-api"
version = "0.1.0"
edition = "2021"
authors = ["Mark Poliakov <mark@alnyan.me>"]

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
yggdrasil-abi.workspace = true
device-api-macros = { workspace = true, optional = true }
async-trait.workspace = true

[features]
default = []
derive = ["device-api-macros"]
